

package gov.va.med.cds.tools.cleanup.errorq;


public interface ErrorQCleanUpMBeanInterface
{
    // shutdown server after finishing current batch of work.
    void shutdown( );


    // indicates whether the application is in a running state.
    boolean isRunning( );


    // get status of process.
    String getStatus( );


    //get current consumer count in the container
    int getCurrentConsumerCount( );

}
